package com.bootdo.data.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CaInfoExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CaInfoExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeIsNull() {
            addCriterion("uniform_social_credit_code is null");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeIsNotNull() {
            addCriterion("uniform_social_credit_code is not null");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeEqualTo(String value) {
            addCriterion("uniform_social_credit_code =", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotEqualTo(String value) {
            addCriterion("uniform_social_credit_code <>", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeGreaterThan(String value) {
            addCriterion("uniform_social_credit_code >", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeGreaterThanOrEqualTo(String value) {
            addCriterion("uniform_social_credit_code >=", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeLessThan(String value) {
            addCriterion("uniform_social_credit_code <", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeLessThanOrEqualTo(String value) {
            addCriterion("uniform_social_credit_code <=", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeLike(String value) {
            addCriterion("uniform_social_credit_code like", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotLike(String value) {
            addCriterion("uniform_social_credit_code not like", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeIn(List<String> values) {
            addCriterion("uniform_social_credit_code in", values, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotIn(List<String> values) {
            addCriterion("uniform_social_credit_code not in", values, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeBetween(String value1, String value2) {
            addCriterion("uniform_social_credit_code between", value1, value2, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotBetween(String value1, String value2) {
            addCriterion("uniform_social_credit_code not between", value1, value2, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andTaxationNumIsNull() {
            addCriterion("taxation_num is null");
            return (Criteria) this;
        }

        public Criteria andTaxationNumIsNotNull() {
            addCriterion("taxation_num is not null");
            return (Criteria) this;
        }

        public Criteria andTaxationNumEqualTo(String value) {
            addCriterion("taxation_num =", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumNotEqualTo(String value) {
            addCriterion("taxation_num <>", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumGreaterThan(String value) {
            addCriterion("taxation_num >", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumGreaterThanOrEqualTo(String value) {
            addCriterion("taxation_num >=", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumLessThan(String value) {
            addCriterion("taxation_num <", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumLessThanOrEqualTo(String value) {
            addCriterion("taxation_num <=", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumLike(String value) {
            addCriterion("taxation_num like", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumNotLike(String value) {
            addCriterion("taxation_num not like", value, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumIn(List<String> values) {
            addCriterion("taxation_num in", values, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumNotIn(List<String> values) {
            addCriterion("taxation_num not in", values, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumBetween(String value1, String value2) {
            addCriterion("taxation_num between", value1, value2, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andTaxationNumNotBetween(String value1, String value2) {
            addCriterion("taxation_num not between", value1, value2, "taxationNum");
            return (Criteria) this;
        }

        public Criteria andConnectAddressIsNull() {
            addCriterion("connect_address is null");
            return (Criteria) this;
        }

        public Criteria andConnectAddressIsNotNull() {
            addCriterion("connect_address is not null");
            return (Criteria) this;
        }

        public Criteria andConnectAddressEqualTo(String value) {
            addCriterion("connect_address =", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressNotEqualTo(String value) {
            addCriterion("connect_address <>", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressGreaterThan(String value) {
            addCriterion("connect_address >", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressGreaterThanOrEqualTo(String value) {
            addCriterion("connect_address >=", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressLessThan(String value) {
            addCriterion("connect_address <", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressLessThanOrEqualTo(String value) {
            addCriterion("connect_address <=", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressLike(String value) {
            addCriterion("connect_address like", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressNotLike(String value) {
            addCriterion("connect_address not like", value, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressIn(List<String> values) {
            addCriterion("connect_address in", values, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressNotIn(List<String> values) {
            addCriterion("connect_address not in", values, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressBetween(String value1, String value2) {
            addCriterion("connect_address between", value1, value2, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectAddressNotBetween(String value1, String value2) {
            addCriterion("connect_address not between", value1, value2, "connectAddress");
            return (Criteria) this;
        }

        public Criteria andConnectNameIsNull() {
            addCriterion("connect_name is null");
            return (Criteria) this;
        }

        public Criteria andConnectNameIsNotNull() {
            addCriterion("connect_name is not null");
            return (Criteria) this;
        }

        public Criteria andConnectNameEqualTo(String value) {
            addCriterion("connect_name =", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameNotEqualTo(String value) {
            addCriterion("connect_name <>", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameGreaterThan(String value) {
            addCriterion("connect_name >", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameGreaterThanOrEqualTo(String value) {
            addCriterion("connect_name >=", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameLessThan(String value) {
            addCriterion("connect_name <", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameLessThanOrEqualTo(String value) {
            addCriterion("connect_name <=", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameLike(String value) {
            addCriterion("connect_name like", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameNotLike(String value) {
            addCriterion("connect_name not like", value, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameIn(List<String> values) {
            addCriterion("connect_name in", values, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameNotIn(List<String> values) {
            addCriterion("connect_name not in", values, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameBetween(String value1, String value2) {
            addCriterion("connect_name between", value1, value2, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectNameNotBetween(String value1, String value2) {
            addCriterion("connect_name not between", value1, value2, "connectName");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneIsNull() {
            addCriterion("connect_phone is null");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneIsNotNull() {
            addCriterion("connect_phone is not null");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneEqualTo(String value) {
            addCriterion("connect_phone =", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneNotEqualTo(String value) {
            addCriterion("connect_phone <>", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneGreaterThan(String value) {
            addCriterion("connect_phone >", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("connect_phone >=", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneLessThan(String value) {
            addCriterion("connect_phone <", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneLessThanOrEqualTo(String value) {
            addCriterion("connect_phone <=", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneLike(String value) {
            addCriterion("connect_phone like", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneNotLike(String value) {
            addCriterion("connect_phone not like", value, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneIn(List<String> values) {
            addCriterion("connect_phone in", values, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneNotIn(List<String> values) {
            addCriterion("connect_phone not in", values, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneBetween(String value1, String value2) {
            addCriterion("connect_phone between", value1, value2, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectPhoneNotBetween(String value1, String value2) {
            addCriterion("connect_phone not between", value1, value2, "connectPhone");
            return (Criteria) this;
        }

        public Criteria andConnectEmailIsNull() {
            addCriterion("connect_email is null");
            return (Criteria) this;
        }

        public Criteria andConnectEmailIsNotNull() {
            addCriterion("connect_email is not null");
            return (Criteria) this;
        }

        public Criteria andConnectEmailEqualTo(String value) {
            addCriterion("connect_email =", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailNotEqualTo(String value) {
            addCriterion("connect_email <>", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailGreaterThan(String value) {
            addCriterion("connect_email >", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailGreaterThanOrEqualTo(String value) {
            addCriterion("connect_email >=", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailLessThan(String value) {
            addCriterion("connect_email <", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailLessThanOrEqualTo(String value) {
            addCriterion("connect_email <=", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailLike(String value) {
            addCriterion("connect_email like", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailNotLike(String value) {
            addCriterion("connect_email not like", value, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailIn(List<String> values) {
            addCriterion("connect_email in", values, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailNotIn(List<String> values) {
            addCriterion("connect_email not in", values, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailBetween(String value1, String value2) {
            addCriterion("connect_email between", value1, value2, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andConnectEmailNotBetween(String value1, String value2) {
            addCriterion("connect_email not between", value1, value2, "connectEmail");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeIsNull() {
            addCriterion("effective_time_beige is null");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeIsNotNull() {
            addCriterion("effective_time_beige is not null");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeEqualTo(Date value) {
            addCriterion("effective_time_beige =", value, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeNotEqualTo(Date value) {
            addCriterion("effective_time_beige <>", value, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeGreaterThan(Date value) {
            addCriterion("effective_time_beige >", value, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeGreaterThanOrEqualTo(Date value) {
            addCriterion("effective_time_beige >=", value, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeLessThan(Date value) {
            addCriterion("effective_time_beige <", value, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeLessThanOrEqualTo(Date value) {
            addCriterion("effective_time_beige <=", value, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeIn(List<Date> values) {
            addCriterion("effective_time_beige in", values, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeNotIn(List<Date> values) {
            addCriterion("effective_time_beige not in", values, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeBetween(Date value1, Date value2) {
            addCriterion("effective_time_beige between", value1, value2, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeBeigeNotBetween(Date value1, Date value2) {
            addCriterion("effective_time_beige not between", value1, value2, "effectiveTimeBeige");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndIsNull() {
            addCriterion("effective_time_end is null");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndIsNotNull() {
            addCriterion("effective_time_end is not null");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndEqualTo(Date value) {
            addCriterion("effective_time_end =", value, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndNotEqualTo(Date value) {
            addCriterion("effective_time_end <>", value, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndGreaterThan(Date value) {
            addCriterion("effective_time_end >", value, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndGreaterThanOrEqualTo(Date value) {
            addCriterion("effective_time_end >=", value, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndLessThan(Date value) {
            addCriterion("effective_time_end <", value, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndLessThanOrEqualTo(Date value) {
            addCriterion("effective_time_end <=", value, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndIn(List<Date> values) {
            addCriterion("effective_time_end in", values, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndNotIn(List<Date> values) {
            addCriterion("effective_time_end not in", values, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndBetween(Date value1, Date value2) {
            addCriterion("effective_time_end between", value1, value2, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andEffectiveTimeEndNotBetween(Date value1, Date value2) {
            addCriterion("effective_time_end not between", value1, value2, "effectiveTimeEnd");
            return (Criteria) this;
        }

        public Criteria andFilePathIsNull() {
            addCriterion("file_path is null");
            return (Criteria) this;
        }

        public Criteria andFilePathIsNotNull() {
            addCriterion("file_path is not null");
            return (Criteria) this;
        }

        public Criteria andFilePathEqualTo(String value) {
            addCriterion("file_path =", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotEqualTo(String value) {
            addCriterion("file_path <>", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathGreaterThan(String value) {
            addCriterion("file_path >", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathGreaterThanOrEqualTo(String value) {
            addCriterion("file_path >=", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathLessThan(String value) {
            addCriterion("file_path <", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathLessThanOrEqualTo(String value) {
            addCriterion("file_path <=", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathLike(String value) {
            addCriterion("file_path like", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotLike(String value) {
            addCriterion("file_path not like", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathIn(List<String> values) {
            addCriterion("file_path in", values, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotIn(List<String> values) {
            addCriterion("file_path not in", values, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathBetween(String value1, String value2) {
            addCriterion("file_path between", value1, value2, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotBetween(String value1, String value2) {
            addCriterion("file_path not between", value1, value2, "filePath");
            return (Criteria) this;
        }

        public Criteria andCaStatusIsNull() {
            addCriterion("ca_status is null");
            return (Criteria) this;
        }

        public Criteria andCaStatusIsNotNull() {
            addCriterion("ca_status is not null");
            return (Criteria) this;
        }

        public Criteria andCaStatusEqualTo(Byte value) {
            addCriterion("ca_status =", value, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusNotEqualTo(Byte value) {
            addCriterion("ca_status <>", value, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusGreaterThan(Byte value) {
            addCriterion("ca_status >", value, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusGreaterThanOrEqualTo(Byte value) {
            addCriterion("ca_status >=", value, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusLessThan(Byte value) {
            addCriterion("ca_status <", value, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusLessThanOrEqualTo(Byte value) {
            addCriterion("ca_status <=", value, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusIn(List<Byte> values) {
            addCriterion("ca_status in", values, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusNotIn(List<Byte> values) {
            addCriterion("ca_status not in", values, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusBetween(Byte value1, Byte value2) {
            addCriterion("ca_status between", value1, value2, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaStatusNotBetween(Byte value1, Byte value2) {
            addCriterion("ca_status not between", value1, value2, "caStatus");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdIsNull() {
            addCriterion("ca_detail_id is null");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdIsNotNull() {
            addCriterion("ca_detail_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdEqualTo(Integer value) {
            addCriterion("ca_detail_id =", value, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdNotEqualTo(Integer value) {
            addCriterion("ca_detail_id <>", value, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdGreaterThan(Integer value) {
            addCriterion("ca_detail_id >", value, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ca_detail_id >=", value, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdLessThan(Integer value) {
            addCriterion("ca_detail_id <", value, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdLessThanOrEqualTo(Integer value) {
            addCriterion("ca_detail_id <=", value, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdIn(List<Integer> values) {
            addCriterion("ca_detail_id in", values, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdNotIn(List<Integer> values) {
            addCriterion("ca_detail_id not in", values, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdBetween(Integer value1, Integer value2) {
            addCriterion("ca_detail_id between", value1, value2, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCaDetailIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ca_detail_id not between", value1, value2, "caDetailId");
            return (Criteria) this;
        }

        public Criteria andCrateTimeIsNull() {
            addCriterion("crate_time is null");
            return (Criteria) this;
        }

        public Criteria andCrateTimeIsNotNull() {
            addCriterion("crate_time is not null");
            return (Criteria) this;
        }

        public Criteria andCrateTimeEqualTo(Date value) {
            addCriterion("crate_time =", value, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeNotEqualTo(Date value) {
            addCriterion("crate_time <>", value, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeGreaterThan(Date value) {
            addCriterion("crate_time >", value, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("crate_time >=", value, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeLessThan(Date value) {
            addCriterion("crate_time <", value, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeLessThanOrEqualTo(Date value) {
            addCriterion("crate_time <=", value, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeIn(List<Date> values) {
            addCriterion("crate_time in", values, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeNotIn(List<Date> values) {
            addCriterion("crate_time not in", values, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeBetween(Date value1, Date value2) {
            addCriterion("crate_time between", value1, value2, "crateTime");
            return (Criteria) this;
        }

        public Criteria andCrateTimeNotBetween(Date value1, Date value2) {
            addCriterion("crate_time not between", value1, value2, "crateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}